## taskcoach 1.4.0

=== debian/changelog ===
taskcoach (1.4.0-1ubuntu2) utopic; urgency=medium

  * Build again using python-wxgtk2.8 (test failures with 3.0).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Aug 2014 17:22:17 +0200

taskcoach (1.4.0-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Let the autopkg test depend on language-pack-en.
    - Build-depend on language-pack-en.
  * Build using python-wxgtk3.0.
  * Don't use /usr/share/pyshared anymore, it's gone.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Aug 2014 14:54:44 +0200

taskcoach (1.4.0-1) unstable; urgency=medium

  * New upstream release (1 patch accepted).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Aug 2014 23:14:05 +0200

taskcoach (1.3.41.0-1) unstable; urgency=medium

  * New upstream release (The .0 suffix corrects a packaging mistake).
  * Use embedded aui instead of older one from python-wxgtk. Closes: #749643.
    Use packaged python-lockfile instead of embedded source.
    Split the related patch to ease such changes.
  * copyright, appdata_xml.diff: improve and install upstream metadata.
  * removed obsolete README.source.
  * Disable more unit tests. Make the remaining tests verbose.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 02 Aug 2014 00:29:05 +0200

taskcoach (1.3.40-1) unstable; urgency=medium

  * New upstream release.
  * Priority: extra because Depends: python-twisted which is extra.
  * Recommends: libgnome2-0 -> libgnome-2-0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 29 May 2014 13:47:27 +0200

taskcoach (1.3.39-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 23 May 2014 20:50:32 +0200

taskcoach (1.3.38+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Build-Depends: twisted >= 10.0 instead of 10.1.0.
    Depends: xprop from x11-utils.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 25 Apr 2014 01:32:25 +0200

taskcoach (1.3.37+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * copyright: use Files-Excluded instead of a git branch.
  * control: (Build-Depends, Depends) python-twisted (>= 10.1.0)
  * rules: respect nocheck in DEB_BUILD_OPTIONS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Apr 2014 13:45:40 +0200

=== debian/control ===
Source: taskcoach
Section: utils
Priority: extra
# Cannot be optional because Depends: python-twisted which is extra.
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 9),
# This should be repeated as X-Python-Version below.
# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
 python (>= 2.6.6-3~),
# See debian/rules:
 graphicsmagick,
# Unit tests have the same dependencies than the installed package.
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.8),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
 python-wxgtk2.8,
 python-wxversion,
 python-twisted (>= 10.0),
 libxss1,
 fonts-dejavu,
# See tests/control.
 hicolor-icon-theme, language-pack-en | locales-all, x11-utils, xauth, xvfb
Standards-Version: 3.9.5
Homepage: http://www.taskcoach.org
X-Python-Version: >= 2.6
VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
XS-Testsuite: autopkgtest

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# xprop is needed by python-desktop.
 x11-utils,
# See debian/copyright
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.8),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# See buildlib/bdist_deb.py:
# patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
# latest wxgtk for combotreebox (1.1 for now, instead of 1.2)
 python-wxgtk2.8,
 python-wxversion (>= 2.8.12.1+dfsg2),
 python-twisted (>= 10.0),
 libxss1,
 fonts-dejavu
Recommends: python-notify, libgnome-2-0, libavahi-compat-libdnssd1
Suggests: espeak, python-kde4
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE := 1

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
 build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with python2

# Tell each dh_auto_* tool which buildsystem is needed.
override_dh_auto_clean:: override_%:
	$* --buildsystem=makefile -- reallyclean
override_dh_auto_build: override_%:
	$* --buildsystem=makefile -- prepare
	$* --buildsystem=python_distutils
override_dh_auto_install:: override_%:
	$* --buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -fr tests_tmp
	ADTTMP=. sh debian/tests/unittests
endif
override_dh_auto_clean::
	rm -rf tests_tmp

# Translate upstream changelog to text for dh_installchangelogs.
# Upstream "make clean" will remove it.
CHANGES.txt:
	python changes.in/make.py text > $@
override_dh_auto_build: CHANGES.txt

# Files extracted from thirdparty tarballs by "make prepare" should be
# deleted with "make nuke", but upstream implementation uses the local
# subversion repository so we have to do an ugly explicit list.
# Information about thirdparty is centralized in debian/copyright.
override_dh_auto_clean::
	rm -f    taskcoachlib/thirdparty/customtreectrl.py
	rm -f -r taskcoachlib/thirdparty/desktop
	rm -f -r taskcoachlib/thirdparty/gntp
	rm -f    taskcoachlib/thirdparty/hypertreelist.py
	rm -f    taskcoachlib/thirdparty/lockfile.py
	rm -f -r taskcoachlib/thirdparty/ntlm
	rm -f -r taskcoachlib/thirdparty/pubsub
	rm -f    taskcoachlib/thirdparty/pybonjour.py
	rm -f    taskcoachlib/thirdparty/wmi.py
	rm -f -r taskcoachlib/thirdparty/wxScheduler

# Generated file, see Files-Excluded stanza in copyright file.
override_dh_auto_clean::
	rm -f i18n.in/messages.pot

# Provide an icon for the menu file.
XPM_ICON := icons.in/taskcoach.xpm
$(XPM_ICON): %.xpm: %.png
	gm convert -resize 32x32 $< $@
override_dh_auto_build: $(XPM_ICON)
override_dh_auto_install::
	dh_install $(XPM_ICON) usr/share/pixmaps
override_dh_auto_clean::
	rm -f $(XPM_ICON)

# Upstream provides the main executable with a .py suffix.
EXE_DIR := debian/taskcoach/usr/bin
DESKTOP := debian/taskcoach/usr/share/applications/taskcoach.desktop
APPDATA := debian/taskcoach/usr/share/appdata/taskcoach.appdata.xml
override_dh_auto_install::
	cd $(EXE_DIR) && mv taskcoach.py taskcoach
	sed --in-place 's/Exec=taskcoach\.py/Exec=taskcoach/' $(DESKTOP)
	sed --in-place 's/<binary>taskcoach\.py/<binary>taskcoach/' $(APPDATA)

# Avoid compressing the TODO list, provided in the taskcoach format.
override_dh_compress:
	dh_compress -Xusr/share/doc/taskcoach/TODO.tsk

=== debian/watch ===
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.

# This may induce a delay between sourceforge publishing a file and
# uscan knowing about it. Last line of
# http://qa.debian.org/watch/sf.php/taskcoach mentions the date of the
# last database update.

opts=dversionmangle=s/\+dfsg$// \
http://sf.net/taskcoach/TaskCoach-(.+)-raw\.tgz

## taskcoach 1.4.1

=== Makefile ===
# Task Coach - Your friendly task manager
# Copyright (C) 2004-2014 Task Coach developers <developers@taskcoach.org>
# 
# Task Coach is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Task Coach is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Makefile to create binary and source distributions and generate the 
# simple website (intermediate files are in ./build, distributions are
# put in ./dist, the files for the website end up in ./website.out)

DOT="dot"       # dot should be on the path

# Python should be on the path. On 64 bits Mac OS X, use the 32-bits version
# (wx only works in 32 bits mode and the environment/default write trick to
# make it the default does not seem to work on Lion).

ifeq "$(shell uname -sm)" "Darwin x86_64"
    PYTHON?="python-32"
else
    PYTHON?="python"
endif

ifeq (CYGWIN_NT,$(findstring CYGWIN_NT,$(shell uname)))
    INNOSETUP="/cygdrive/c/Program Files/Inno Setup 5/ISCC.exe"
    PORTABLEAPPSINSTALLER="/cygdrive/c/Program Files/PortableApps.comInstaller/PortableApps.comInstaller.exe"
    EPYDOC=$(PYTHON) $(shell python -c "import os, sys; print \"'\" + os.path.join(os.path.split(sys.executable)[0], 'Scripts', 'epydoc.py') + \"'\"")
else
    EPYDOC="epydoc"
endif

TCVERSION=$(shell python -c "import taskcoachlib.meta.data as data; print data.version")
TCPORTABLE=$(shell python -c "import os; print \"'\" + os.path.join(os.getcwd(), 'build', 'TaskCoachPortable') + \"'\"")

ifeq ($(PGPID)x,x)
PGPID=a3e41706
endif

revision:
	echo "revision='$(TCREV)'" > taskcoachlib/meta/revision.py

prepare: thirdpartymodules icons i18n templates

windists: windist winpenpack portableapps sdist_windows

windist: py2exe
	$(INNOSETUP) build/taskcoach.iss

py2exe: prepare
	$(PYTHON) make.py py2exe

sdist_windows: prepare changes templates dist/TaskCoach-$(TCVERSION).zip

dist/TaskCoach-$(TCVERSION).zip:
	$(PYTHON) make.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in

sdist_linux: prepare changes templates dist/TaskCoach-$(TCVERSION).tar.gz

sdist_ubuntu: sdist_linux
	# Launchpad does not support one size fits all packages...
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz

sdist_raw:
	mkdir -p dist
	cp -a . ../tmp-sdist
	cd ../tmp-sdist; make nuke; find . -name ".svn" | xargs -d '\n' rm -rf
	mv ../tmp-sdist dist/TaskCoach-$(TCVERSION)
	cd dist; tar czf TaskCoach-$(TCVERSION)-raw.tgz TaskCoach-$(TCVERSION); rm -rf TaskCoach-$(TCVERSION)

dist/TaskCoach-$(TCVERSION).tar.gz:
	$(PYTHON) make.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
	echo Created dist/TaskCoach-$(TCVERSION).tar.gz

rpm: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) make.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
	rm MANIFEST.in

fedora: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) make.py bdist_rpm_fedora
	rm MANIFEST.in

opensuse: sdist_linux
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) make.py bdist_rpm_opensuse 
	mv dist/taskcoach-$(TCVERSION)-1.noarch.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.i386.rpm
	mv dist/taskcoach-$(TCVERSION)-1.src.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.src.rpm

deb: sdist_linux
	mv dist/TaskCoach-$(TCVERSION).tar.gz dist/TaskCoach_$(TCVERSION).tar.gz
	LC_ALL=C $(PYTHON) make.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
	mv dist/taskcoach_$(TCVERSION)-1_all.deb dist/taskcoach_$(TCVERSION)-1.deb

ubuntu: sdist_ubuntu
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu lucid 10 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
	mv build build-lucid
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	mv build build-precise
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
	mv build build-trusty

ppa_sign: ubuntu
	cd build-lucid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
	cd build-precise; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-trusty; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

# Split PPA by version because the upload has a tendency to fail so the buildbot must retry

ppa_rel_lucid:
	cd build-lucid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes

ppa_rel_precise:
	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_rel_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_relnext_lucid:
	cd build-lucid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes

ppa_relnext_precise:
	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_relnext_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_release_lucid:
	cd build-lucid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes

ppa_release_precise:
	cd build-precise; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_release_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

app: prepare
	$(PYTHON) make.py py2app
	chmod 644 "build/Task Coach/TaskCoach.app/Contents/Resources/taskcoach.py"

dmg-goodies: app
	mkdir "build/Task Coach/.Resources"
	cp -f dist.in/macos/dmg-background.png "build/Task Coach/.Resources/"
	cp -f dist.in/macos/config "build/Task Coach/.DS_Store"
	ln -s /Applications "build/Task Coach/Applications"

dmgbase:
	hdiutil create -ov -imagekey zlib-level=9 -fs "HFS+" -srcfolder "build/Task Coach" dist/TaskCoach-$(TCVERSION).dmg

dmg: dmg-goodies dmgbase

dmg-signed: dmg-goodies
	codesign -f -s "Developer ID Application" -r='designated => certificate leaf[field.1.2.840.113635.100.6.1.13] and identifier "org.pythonmac.unspecified.TaskCoach"' "build/Task Coach/TaskCoach.app"
	make dmgbase

winpenpack: py2exe 
	$(PYTHON) make.py bdist_winpenpack

portableapps: py2exe
	$(PYTHON) make.py bdist_portableapps
	$(PORTABLEAPPSINSTALLER) $(TCPORTABLE)
	mv build/TaskCoachPortable_$(TCVERSION).paf.exe dist

icons: taskcoachlib/gui/icons.py

templates: taskcoachlib/persistence/xml/templates.py

thirdpartymodules:
	cd thirdparty; tar xzf chardet-2.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty chardet-2.1.1/chardet
	cd thirdparty; tar xzf python-dateutil-1.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-dateutil-1.5/dateutil
	cd thirdparty; tar xzf desktop-0.4.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.2/desktop
	cd thirdparty; tar xzf keyring-3.7.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-3.7/keyring
	cd thirdparty; tar xzf lockfile-0.8.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.8/lockfile.py
	cd thirdparty; tar xzf PyPubSub-3.3.0.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.3.0/src/pubsub
	cd thirdparty; tar xzf SquareMap-1.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.3/squaremap
	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
	cd thirdparty; tar xzf wxScheduler-r151.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty wxScheduler/wxScheduler
	cd thirdparty; tar xzf aui-r72315.tar.gz -C ../taskcoachlib/thirdparty
	cd thirdparty; tar xzf WMI-1.4.9.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty WMI-1.4.9/wmi.py
	cd thirdparty; tar xzf pyparsing-1.5.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyparsing-1.5.5/pyparsing_py2.py
	mv taskcoachlib/thirdparty/pyparsing_py2.py taskcoachlib/thirdparty/pyparsing.py
	cd thirdparty; tar xzf pybonjour-1.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pybonjour-1.1.1/pybonjour.py
	cd thirdparty; tar xzf agw-r70845.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/customtreectrl.py
	cd thirdparty; tar xzf agw-r70819.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/hypertreelist.py
	cd thirdparty; tar xzf gntp-d639fa2e981fe41196a5115ad64320b5061f004b.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty gntp/gntp
	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/lockfile.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist.diff
	cd taskcoachlib/thirdparty; patch -p2 < ../../thirdparty/patches/pypubsub.diff
	$(PYTHON) fixinit.py

taskcoachlib/gui/icons.py: icons.in/iconmap.py icons.in/nuvola.zip icons.in/splash.png
	cd icons.in; $(PYTHON) make.py

taskcoachlib/persistence/xml/templates.py:
	cd templates.in; $(PYTHON) make.py

website: changes
	cd website.in; $(PYTHON) make.py; cd ..
	$(PYTHON) tools/webchecker.py website.out/index.html

epydoc:
	$(EPYDOC) --parse-only -v --simple-term -o epydoc.out taskcoachlib taskcoach.py

dot:
	$(PYTHON) tools/dot.py taskcoachlib/gui/viewer > doc/viewer.dot
	$(PYTHON) tools/dot.py taskcoachlib/gui/dialog > doc/dialog.dot
	$(DOT) -Tpng -Kdot -O doc/*.dot

i18n: templates taskcoachlib/i18n/nl.py

taskcoachlib/i18n/nl.py: i18n.in/messages.pot $(shell find i18n.in -name '*.po')
	cd i18n.in; $(PYTHON) make.py

i18n.in/messages.pot: $(shell find taskcoachlib -name '*.py' | grep -v i18n)
	$(PYTHON) tools/pygettext.py --output-dir i18n.in taskcoachlib

changes:
	$(PYTHON) changes.in/make.py text > CHANGES.txt
	$(PYTHON) changes.in/make.py debian > changelog_content
	$(PYTHON) changes.in/make.py html 7 > website.in/changes.html
	$(PYTHON) changes.in/make.py html > website.in/all_changes.html

unittests: thirdpartymodules icons templates
	cd tests; $(PYTHON) test.py --unittests

integrationtests: thirdpartymodules icons templates
	cd tests; $(PYTHON) test.py --integrationtests

languagetests: thirdpartymodules icons i18n
	cd tests; $(PYTHON) test.py --languagetests

releasetests: thirdpartymodules icons i18n sdist_linux
	cd tests; $(PYTHON) test.py --releasetests

# FIXME: disttests should depend on either windist, deb, rpm or dmg...
disttests:
	cd tests; $(PYTHON) test.py --disttests

alltests: prepare sdist_linux
	cd tests; $(PYTHON) test.py --alltests

coverage: coverage_run coverage_report

coverage_run:
	cd tests; coverage run --source=../taskcoachlib,unittests test.py

coverage_report:
	cd tests; coverage html -d coverage.out --omit=../taskcoachlib/i18n/po2dict.py,../taskcoachlib/i18n/??.py,../taskcoachlib/i18n/???.py,../taskcoachlib/i18n/??_??.py,../taskcoachlib/thirdparty/*.py,../taskcoachlib/meta/debug.py,test.py

pylint:
	-pylint --rcfile=.pylintrc -f html taskcoachlib > pylint.html

=== debian/changelog ===
taskcoach (1.4.1-4) unstable; urgency=medium

  * Depend on python-wxgtk3.0 >=3.0.1.1+dfsg-2:
    New pubsub includes a taskcoach patch (Closes: #762413),
    no need to build-depend on cpio (Closes: #765677)
    or dh-linktree (removes a lintian false positive).
    Img2py requires an X server: patches/run_img2py_inside_xvfb.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 28 Oct 2014 02:59:32 +0100

taskcoach (1.4.1-3) unstable; urgency=medium

  * Standards-Version: 3.9.6, no changes.

  [ Olly Betts <olly@survex.com>, Peter Gervai <grin@grin.hu> ]
  * Disable python-wxgtk3 debug messages. Closes: #764570.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 11 Oct 2014 14:09:12 +0200

taskcoach (1.4.1-2) unstable; urgency=medium

  * Rebuild against python-wxgtk 3.0.1.1+dfsg-1. Closes: #762679.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 03 Oct 2014 22:55:43 +0200

taskcoach (1.4.1-1) unstable; urgency=medium

  * New upstream release. Repackage with xz.
  * Replace embedded aui, agw and most pubsub with python-wxgtk3.0 versions.
  * Disable unit until they migrate to python-wxgtk3.0.

  [ Olly Betts <olly@survex.com> ]
  * Update to use wxPython 3.0. Closes: #759083.
    New patch: wxpy3.0-compat.patch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 14 Sep 2014 20:57:04 +0200

taskcoach (1.4.0-2) unstable; urgency=medium

  * Revert to Priority: optional. Possible because (Build-)Depends:
    optional p-twisted-core instead of the whole extra p-twisted.
  * tests_with_wxgtk2.8.diff closes: #758727.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Aug 2014 14:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: taskcoach
 Section: utils
-Priority: extra
-# Cannot be optional because Depends: python-twisted which is extra.
+Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends-Indep: debhelper (>= 9),
 # This should be repeated as X-Python-Version below.
@@ -17,19 +16,19 @@
  python-pyparsing (>= 1.5.5),
  python-squaremap (>= 1.0.3),
  python-xdg (>= 0.25),
- python-wxgtk2.8,
+ python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
  python-wxversion,
- python-twisted (>= 10.0),
+ python-twisted-core (>= 10.0),
  libxss1,
  fonts-dejavu,
 # See tests/control.
- hicolor-icon-theme, language-pack-en | locales-all, x11-utils, xauth, xvfb
-Standards-Version: 3.9.5
+ hicolor-icon-theme, locales-all, x11-utils, xauth, xvfb
+# Also see patches/run_img2py_inside_xvfb.diff.
+Standards-Version: 3.9.6
 Homepage: http://www.taskcoach.org
 X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
-XS-Testsuite: autopkgtest
 
 Package: taskcoach
 Architecture: all
@@ -44,12 +43,10 @@
  python-pyparsing (>= 1.5.5),
  python-squaremap (>= 1.0.3),
  python-xdg (>= 0.25),
-# See buildlib/bdist_deb.py:
-# patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
-# latest wxgtk for combotreebox (1.1 for now, instead of 1.2)
- python-wxgtk2.8,
- python-wxversion (>= 2.8.12.1+dfsg2),
- python-twisted (>= 10.0),
+# See buildlib/bdist_deb.py and #762413
+ python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
+ python-wxversion,
+ python-twisted-core (>= 10.0),
  libxss1,
  fonts-dejavu
 Recommends: python-notify, libgnome-2-0, libavahi-compat-libdnssd1

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	rm -fr tests_tmp
-	ADTTMP=. sh debian/tests/unittests
+# Disable unit until they migrate to python-wxgtk3.0.
+#	ADTTMP=. sh debian/tests/unittests
 endif
 override_dh_auto_clean::
 	rm -rf tests_tmp
@@ -36,13 +37,13 @@
 # subversion repository so we have to do an ugly explicit list.
 # Information about thirdparty is centralized in debian/copyright.
 override_dh_auto_clean::
+	rm -f -r taskcoachlib/thirdparty/aui
 	rm -f    taskcoachlib/thirdparty/customtreectrl.py
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp
 	rm -f    taskcoachlib/thirdparty/hypertreelist.py
 	rm -f    taskcoachlib/thirdparty/lockfile.py
 	rm -f -r taskcoachlib/thirdparty/ntlm
-	rm -f -r taskcoachlib/thirdparty/pubsub
 	rm -f    taskcoachlib/thirdparty/pybonjour.py
 	rm -f    taskcoachlib/thirdparty/wmi.py
 	rm -f -r taskcoachlib/thirdparty/wxScheduler

## taskcoach 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Task Coach - Your friendly task manager
-# Copyright (C) 2004-2014 Task Coach developers <developers@taskcoach.org>
+# Copyright (C) 2004-2016 Task Coach developers <developers@taskcoach.org>
 # 
 # Task Coach is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -25,8 +25,13 @@
 # (wx only works in 32 bits mode and the environment/default write trick to
 # make it the default does not seem to work on Lion).
 
-ifeq "$(shell uname -sm)" "Darwin x86_64"
+ifeq "$(shell uname -s)" "Darwin"
+BITS=$(shell python -c "import struct; print len(struct.pack('L', 0))")
+ifeq "$(BITS)" "8"
     PYTHON?="python-32"
+else
+    PYTHON?="python"
+endif
 else
     PYTHON?="python"
 endif
@@ -57,20 +62,21 @@
 	$(INNOSETUP) build/taskcoach.iss
 
 py2exe: prepare
-	$(PYTHON) make.py py2exe
+	$(PYTHON) pymake.py py2exe
 
 sdist_windows: prepare changes templates dist/TaskCoach-$(TCVERSION).zip
 
 dist/TaskCoach-$(TCVERSION).zip:
-	$(PYTHON) make.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in
+	$(PYTHON) pymake.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in
 
 sdist_linux: prepare changes templates dist/TaskCoach-$(TCVERSION).tar.gz
 
 sdist_ubuntu: sdist_linux
 	# Launchpad does not support one size fits all packages...
-	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
+	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
+	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
 
 sdist_raw:
 	mkdir -p dist
@@ -80,47 +86,47 @@
 	cd dist; tar czf TaskCoach-$(TCVERSION)-raw.tgz TaskCoach-$(TCVERSION); rm -rf TaskCoach-$(TCVERSION)
 
 dist/TaskCoach-$(TCVERSION).tar.gz:
-	$(PYTHON) make.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
+	$(PYTHON) pymake.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
 	echo Created dist/TaskCoach-$(TCVERSION).tar.gz
 
 rpm: prepare changes templates
 	cp build.in/debian/MANIFEST.in .
-	$(PYTHON) make.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
+	$(PYTHON) pymake.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
 	rm MANIFEST.in
 
 fedora: prepare changes templates
 	cp build.in/debian/MANIFEST.in .
-	$(PYTHON) make.py bdist_rpm_fedora
+	$(PYTHON) pymake.py bdist_rpm_fedora
 	rm MANIFEST.in
 
 opensuse: sdist_linux
 	cp build.in/debian/MANIFEST.in .
-	$(PYTHON) make.py bdist_rpm_opensuse 
+	$(PYTHON) pymake.py bdist_rpm_opensuse 
 	mv dist/taskcoach-$(TCVERSION)-1.noarch.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.i386.rpm
 	mv dist/taskcoach-$(TCVERSION)-1.src.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.src.rpm
 
 deb: sdist_linux
 	mv dist/TaskCoach-$(TCVERSION).tar.gz dist/TaskCoach_$(TCVERSION).tar.gz
-	LC_ALL=C $(PYTHON) make.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
+	LC_ALL=C $(PYTHON) pymake.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
 	mv dist/taskcoach_$(TCVERSION)-1_all.deb dist/taskcoach_$(TCVERSION)-1.deb
 
 ubuntu: sdist_ubuntu
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu lucid 10 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
-	mv build build-lucid
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
 	mv build build-precise
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
 	mv build build-trusty
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu vivid 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
+	mv build build-vivid
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu wily 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
+	mv build build-wily
 
 ppa_sign: ubuntu
-	cd build-lucid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
 	cd build-precise; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
 	cd build-trusty; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
+	cd build-vivid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+	cd build-wily; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
 
 # Split PPA by version because the upload has a tendency to fail so the buildbot must retry
-
-ppa_rel_lucid:
-	cd build-lucid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
 
 ppa_rel_precise:
 	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
@@ -128,8 +134,11 @@
 ppa_rel_trusty:
 	cd build-trusty; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
 
-ppa_relnext_lucid:
-	cd build-lucid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+ppa_rel_vivid:
+	cd build-vivid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+
+ppa_rel_wily:
+	cd build-wily; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
 
 ppa_relnext_precise:
 	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
@@ -137,8 +146,11 @@
 ppa_relnext_trusty:
 	cd build-trusty; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
 
-ppa_release_lucid:
-	cd build-lucid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+ppa_relnext_vivid:
+	cd build-vivid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+
+ppa_relnext_wily:
+	cd build-wily; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
 
 ppa_release_precise:
 	cd build-precise; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
@@ -146,8 +158,14 @@
 ppa_release_trusty:
 	cd build-trusty; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
 
+ppa_release_vivid:
+	cd build-vivid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+
+ppa_release_wily:
+	cd build-wily; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
+
 app: prepare
-	$(PYTHON) make.py py2app
+	$(PYTHON) pymake.py py2app
 	chmod 644 "build/Task Coach/TaskCoach.app/Contents/Resources/taskcoach.py"
 
 dmg-goodies: app
@@ -166,10 +184,10 @@
 	make dmgbase
 
 winpenpack: py2exe 
-	$(PYTHON) make.py bdist_winpenpack
+	$(PYTHON) pymake.py bdist_winpenpack
 
 portableapps: py2exe
-	$(PYTHON) make.py bdist_portableapps
+	$(PYTHON) pymake.py bdist_portableapps
 	$(PORTABLEAPPSINSTALLER) $(TCPORTABLE)
 	mv build/TaskCoachPortable_$(TCVERSION).paf.exe dist
 
@@ -182,7 +200,7 @@
 	cd thirdparty; tar xzf python-dateutil-1.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-dateutil-1.5/dateutil
 	cd thirdparty; tar xzf desktop-0.4.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.2/desktop
 	cd thirdparty; tar xzf keyring-3.7.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-3.7/keyring
-	cd thirdparty; tar xzf lockfile-0.8.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.8/lockfile.py
+	cd thirdparty; tar xzf lockfile-0.12.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.12.2/lockfile
 	cd thirdparty; tar xzf PyPubSub-3.3.0.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.3.0/src/pubsub
 	cd thirdparty; tar xzf SquareMap-1.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.3/squaremap
 	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
@@ -196,7 +214,6 @@
 	cd thirdparty; tar xzf agw-r70819.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/hypertreelist.py
 	cd thirdparty; tar xzf gntp-d639fa2e981fe41196a5115ad64320b5061f004b.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty gntp/gntp
 	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
-	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/lockfile.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist.diff
@@ -242,26 +259,3 @@
 	cd tests; $(PYTHON) test.py --integrationtests
 
 languagetests: thirdpartymodules icons i18n
-	cd tests; $(PYTHON) test.py --languagetests
-
-releasetests: thirdpartymodules icons i18n sdist_linux
-	cd tests; $(PYTHON) test.py --releasetests
-
-# FIXME: disttests should depend on either windist, deb, rpm or dmg...
-disttests:
-	cd tests; $(PYTHON) test.py --disttests
-
-alltests: prepare sdist_linux
-	cd tests; $(PYTHON) test.py --alltests
-
-coverage: coverage_run coverage_report
-
-coverage_run:
-	cd tests; coverage run --source=../taskcoachlib,unittests test.py
-
-coverage_report:
-	cd tests; coverage html -d coverage.out --omit=../taskcoachlib/i18n/po2dict.py,../taskcoachlib/i18n/??.py,../taskcoachlib/i18n/???.py,../taskcoachlib/i18n/??_??.py,../taskcoachlib/thirdparty/*.py,../taskcoachlib/meta/debug.py,test.py
-
-pylint:
-	-pylint --rcfile=.pylintrc -f html taskcoachlib > pylint.html
-

=== buildbot/master/Makefile ===
# -*- makefile -*-

# This is a simple makefile which lives in a buildmaster/buildslave
# directory (next to the buildbot.tac file). It allows you to start/stop the
# master or slave by doing 'make start' or 'make stop'.

# The 'reconfig' target will tell a buildmaster to reload its config file.

start:
	sudo -u www-data twistd --no_save -y buildbot.tac

stop:
	kill `cat twistd.pid`

reconfig:
	kill -HUP `cat twistd.pid`

log:
	tail -f twistd.log

=== buildbot/slaves/MacOS/Makefile ===
# -*- makefile -*-

# This is a simple makefile which lives in a buildmaster/buildslave
# directory (next to the buildbot.tac file). It allows you to start/stop the
# master or slave by doing 'make start' or 'make stop'.

# The 'reconfig' target will tell a buildmaster to reload its config file.

start:
	python /usr/bin/twistd --no_save -y buildbot.tac

stop:
	kill `cat twistd.pid`

reconfig:
	kill -HUP `cat twistd.pid`

log:
	tail -f twistd.log

=== debian/changelog ===
taskcoach (1.4.3-6) unstable; urgency=medium

  * Update path for python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~). Closes: #895512.
  * Stop recommending: libgnome-2. Closes: #885764.
  * Standards-Version: 4.1.4. Replace CC0-1.0 with link to common-licenses.
  * Debhelper 11.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 21 Apr 2018 22:02:05 +0200

taskcoach (1.4.3-5) unstable; urgency=medium

  * twisted-version-compare.diff: allow string minor version. Closes: 877029.
  * Handle API change in python-lockfile 0.9. Closes: 789565.
  * Make build-dependency on dh-python explicit.
  * Standards-Version: 4.1.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Oct 2017 21:05:34 +0200

taskcoach (1.4.3-4) unstable; urgency=medium

  * Disable parallel execution of upstream Makefile.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Aug 2017 05:27:39 +0200

taskcoach (1.4.3-3) unstable; urgency=medium

  * Debhelper 10. Drop explicit targets confusing dh.
  * Standards-Version: 4.0.1. HTTPS copyright format URL.
  * Drop X-Python, satisfied in Debian and confusing debcheck.
  * Update appdata format and install directory.
  * Run each img2py in xvfb, but not in parallel.
  * Uscan version 4 allows a more readable watch file.

  [ Chris Lamb <lamby@debian.org> ]
  * reproducible_build.diff: sort directory listing . Closes: #862592.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Aug 2017 22:31:41 +0200

taskcoach (1.4.3-2) unstable; urgency=medium

  * missing-import-in-openfile.diff closes: 835898.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2016 11:22:10 +0200

taskcoach (1.4.3-1) unstable; urgency=medium

  * New upstream release. Copyright update.
    Depend: python-twisted >= 12.1, xdg-utils. Drop menu file.
    Upstream stops patching python-lockfile. Closes:#788974.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 Jan 2016 22:04:22 +0100

taskcoach (1.4.2-1) unstable; urgency=medium

  * New upstream release. Closes: #764763.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 28 Apr 2015 19:02:52 +0200

=== debian/control ===
Source: taskcoach
Section: utils
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 11),
# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
 python (>= 2.6.6-3~),
 dh-python,
# See debian/rules:
 graphicsmagick,
# Unit tests have the same dependencies than the installed package.
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.9),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# Version modifying the path in official_agw.diff.
 python-wxgtk3.0 (>= 3.0.2.0+dfsg-7),
 python-wxversion,
 python-twisted-core (>= 12.1),
 libxss1,
 fonts-dejavu,
# See tests/control.
 hicolor-icon-theme, locales-all, x11-utils, xauth, xvfb
# Also see patches/run_img2py_inside_xvfb.diff.
Standards-Version: 4.1.4
Homepage: http://www.taskcoach.org
VCS-Git: https://anonscm.debian.org/git/collab-maint/taskcoach.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# xprop is needed by python-desktop.
 x11-utils,
# See debian/copyright
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.9),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# See buildlib/bdist_deb.py and #762413
 python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
 python-wxversion,
 python-twisted-core (>= 12.1),
 libxss1,
 fonts-dejavu,
 xdg-utils
# Avoid recommending obsolete libgnome-2 like upstream.
Recommends: python-notify, libavahi-compat-libdnssd1
Suggests: espeak, python-kde4
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,15 @@
 #!/usr/bin/make -f
 
-# export DH_VERBOSE := 1
-
-POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
- build-indep clean
-.PHONY: $(POLICY_TARGETS)
-$(POLICY_TARGETS):
+%:
 	dh $@ --with python2
 
-# Tell each dh_auto_* tool which buildsystem is needed.
-override_dh_auto_clean:: override_%:
-	$* --buildsystem=makefile -- reallyclean
+override_dh_auto_clean::
+# clean and reallyclean cannot run in parallel.
+	$(MAKE) reallyclean
 override_dh_auto_build: override_%:
-	$* --buildsystem=makefile -- prepare
+# img2py needs an X display to convert images.
+# Do not mix xvfb-run and parallelism.
+	xvfb-run $(MAKE) prepare
 	$* --buildsystem=python_distutils
 override_dh_auto_install:: override_%:
 	$* --buildsystem=python_distutils
@@ -42,7 +39,6 @@
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp
 	rm -f    taskcoachlib/thirdparty/hypertreelist.py
-	rm -f    taskcoachlib/thirdparty/lockfile.py
 	rm -f -r taskcoachlib/thirdparty/ntlm
 	rm -f    taskcoachlib/thirdparty/pybonjour.py
 	rm -f    taskcoachlib/thirdparty/wmi.py
@@ -65,7 +61,7 @@
 # Upstream provides the main executable with a .py suffix.
 EXE_DIR := debian/taskcoach/usr/bin
 DESKTOP := debian/taskcoach/usr/share/applications/taskcoach.desktop
-APPDATA := debian/taskcoach/usr/share/appdata/taskcoach.appdata.xml
+APPDATA := debian/taskcoach/usr/share/metainfo/taskcoach.appdata.xml
 override_dh_auto_install::
 	cd $(EXE_DIR) && mv taskcoach.py taskcoach
 	sed --in-place 's/Exec=taskcoach\.py/Exec=taskcoach/' $(DESKTOP)

=== debian/watch ===
version=4
opts=\
  dversionmangle=s/\+dfsg$//,\
  repack,\
  compression=xz \
http://sf.net/taskcoach/TaskCoach-(.+)-raw\.tgz
